[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.CloseQuery

Asks the OnCloseQuery handler whether the form can be closed.

## Declaration

Source position: forms.pp line 708

`public function TCustomForm.CloseQuery: Boolean; virtual;`

## Function result

Returns True if the event handler (or MDI child forms) allow the form to be closed. The default return value is True.

## See also

TCustomForm.OnCloseQuery |  | Event handler signalled when trying to close a form.
TCustomForm.FormStyle |  | Indicates the style for the form.
TCustomForm.MDIChildren |  | Provides indexed access to MDI child forms when used as a MDI form.
TFormStyle